Subject: Re: Where man git-format-patch sends me?

From: Sergei Organov <[email-masked]>
Date: Fri, 02 Nov 2007 14:25:52 +0300

Wincent Colaiuta <[email-masked]> writes:

> El 1/11/2007, a las 16:47, Sergei Organov escribió:
>
>> Johannes Schindelin <[email-masked]> writes:
>>
>>> Hi,
>>>
>>> On Thu, 1 Nov 2007, Sergei Organov wrote:
>>>
>>>> $ man git-format-patch
>>>> [...]
>>>> OPTIONS
>>>>       -p     Generate patch (see section on generating patches)
>>>>
>>>>       -u     Synonym for "-p".
>>>
>>> As you can easily see from Documentation/git-format-patch.txt, this  
>>> part
>>> is generated from the file Documentation/diff-options.txt.
>>
>> Sorry, I did saw that, but it doesn't change anything.
>>
>> 1. As a user reading man git-format-patch, where do I find this  
>> "section
>>   on generating patches"? In another man-page? In the html
>>   documentation? On the moon?
>>
>> 2. I can't find "section on generating patches" in the man git-diff
>>   either, and I did say this in the part of my original message you've
>>   snipped.
>>
>> So the main question remains: could you please point me to the exact
>> place in 'Documentation/' directory where this "section on generating
>> patches" resides?
>
> I believe the section in question is in Documentation/diff-format.txt

Ah, thank you! Now, diff-format.txt is included by
git-diff-index/git-diff-files/git-diff-tree, but not by git-diff and
git-format-patch. Do you think it is the right thing for the latter two
to include diff-format as well?

-- 
Sergei.